changeset 88:41f999d7f077

Disentangle Documentation from temporary linux directory. (Allows the scsi patch to be applied from the queue, and anything else that wants to play with files outside of the Documentation dir.)
author Rob Landley <rob@landley.net>
date Wed, 07 Nov 2007 23:42:08 -0600
parents 490dd648a9bf
children ac8a8db09cd1
files make/functions.sh make/make.sh
diffstat 2 files changed, 18 insertions(+), 21 deletions(-) [+]
line wrap: on
line diff
--- a/make/functions.sh	Wed Nov 07 23:41:23 2007 -0600
+++ b/make/functions.sh	Wed Nov 07 23:42:08 2007 -0600
@@ -15,15 +15,10 @@
 function update_documentation_dir()
 {
   rm -rf "$WEBDIR"/Documentation/
-  cp -a "$LNXDIR"/hg/Documentation "$WEBDIR"/Documentation
+  cp -a "$LNXDIR"/temp/Documentation "$WEBDIR"/Documentation
   # Make the change directory local to this function
   (
     cd $WEBDIR
-    for i in make/patches/*.patch
-    do
-      echo $i
-      patch -p1 -i $i || exit 1
-    done
     make/docdiridx.py
   )
 }
@@ -240,19 +235,21 @@
 
 function setuplinuxtemp()
 {
-  if [ ! -d "$WEBDIR"/Documentation ]
-  then
-    echo "Need Documentation dir first"
-    exit 1
-  fi
-
   rm -rf "$LNXDIR"/temp &&
   mkdir "$LNXDIR"/temp &&
-  ( cd "$LNXDIR"/hg &&
-    make allnoconfig O=$LNXDIR/temp > /dev/null &&
-    # Adjust to use the patched Documentation directory
-    ln -s "$WEBDIR"/Documentation "$LNXDIR"/temp &&
-    # We'll need this later.
+  # Building out of tree conflicts with patching the files, so copy.
+  cp -r "$LNXDIR"/hg/* "$LNXDIR"/temp &&
+  (
+    cd "$LNXDIR"/hg
+    # Apply patches
+    for i in "$WEBDIR"/make/patches/*.patch
+    do
+      echo $i
+      patch -p1 -i $i || exit 1
+    done
+
+    # Do setup we'll need later.
+    make allnoconfig > /dev/null &&
     make -j 2 xmldocs
   )
 }
--- a/make/make.sh	Wed Nov 07 23:41:23 2007 -0600
+++ b/make/make.sh	Wed Nov 07 23:42:08 2007 -0600
@@ -16,10 +16,7 @@
   shift
 fi
 
-echo "Install updated (and patched) Documentation directory."
-update_documentation_dir || exit 1
-
-echo "Set up Linux build directory (uses patched Documentation dir)"
+echo "Set up Linux build directory"
 setuplinuxtemp || exit 1
 
 if [ "$1" == "--long" ]
@@ -30,6 +27,9 @@
   make_htmldocs > /dev/null 2>/dev/null &
 fi
 
+echo "Install and index Documentation directory."
+update_documentation_dir || exit 1
+
 echo "Update master index."
 update_master || exit 1